#!/usr/bin/python
"""Reads an fiwalk XML file and reports how many of the files are still in the image..."""

import fiwalk_dom

################################################################
if __name__=="__main__":
    import sys
    from optparse import OptionParser

    parser = OptionParser()
    parser.add_option("-d","--debug",help="prints debugging info",dest="debug")
    parser.usage = '%prog [options] image.iso xmlfile '
    (options,args) = parser.parse_args()

    if len(args)<2:
        parser.print_help()
        sys.exit(1)

    # Read the XML file
    for fi in fiobjects_from_image(args[0],args[1]):
        if fi.file_present():
            print("Can save %s" % fi.filename())
